#! /bin/make
##############################################
# Makefile for the 'mvPropView' sample,
# == DO NOT CHANGE !!! ==
##############################################
#-------------------------------------------
DEST:=$(shell basename `pwd`)

#-------------------------------------------
ROOT_PATH=../..

#-------------------------------------------
BINARY_NAME=wxPropView
MODULE_NAME=PropViewFrame

#-------------------------------------------
OOBJ =										\
	AnalysisDataGridTable.o					\
	CaptureThread.o							\
	DataConversion.o						\
	DevCtrl.o								\
	DrawingCanvas.o							\
	EventThread.o							\
	HistogramCanvas.o						\
	ImageCanvas.o							\
	ImageCanvasCommon.o						\
	InfoPlotCanvas.o						\
	LineProfileCanvas.o						\
	PropData.o								\
	PropGridFrameBase.o						\
	PropTree.o								\
	SpinEditorDouble.o						\
	spinctld.o								\
	ValuesFromUserDlg.o						\
	VectorScopeCanvas.o						\

#-------------------------------------------
vpath %.cpp ..

#-----------------------------------------
LOC_LIB_PATH=$(WORK)/lib/$(TARGET)

#-------------------------------------------
# 'WX_CONF_TOOL' will be set in Makefile.samp.inc
#-------------------------------------------
WXRELEASE=$(shell $(WX_CONF_TOOL) --release)
WXLIBFLAGS=$(shell $(WX_CONF_TOOL)  --libs)
WXCXXFLAGS=$(shell $(WX_CONF_TOOL)  --cxxflags)

#-------------------------------------------
MV_LIBS = -lwxPropGrid

#-------------------------------------------
USR_INCLS =								\

#-------------------------------------------
USR_LIBS =								\
	$(ADD_LIBS)

#-------------------------------------------
LDOPT_1 =								\
	$(WXLIBFLAGS)						\

ifneq ($(DEST),ppc603e)
LOCALFLAGS=								\
	-Wno-strict-aliasing
endif

#-------------------------------------------
CPPFLAGS_1 = 							\
	$(WXCXXFLAGS)						\
	$(LOCALFLAGS)


#	-DUSE_RAW_BITMAP_SUPPORT

#-------------------------------------------
include $(ROOT_PATH)/Makefile.samp.inc

#-------------------------------------------
#-------------------------------------------

